Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-time-hires: upgrade to 1.9741

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 23 Jan 2017 14:54:41 +0200

- recreated with apkbuild-cpan
- fix -doc
---
 main/perl-time-hires/APKBUILD | 53 +++++++++++++++++++++++++++----------------
 1 file changed, 33 insertions(+), 20 deletions(-)
diff --git a/main/perl-time-hires/APKBUILD b/main/perl-time-hires/APKBUILD
index 85d3728daa..7d967177ab 100644
--- a/main/perl-time-hires/APKBUILD
+++ b/main/perl-time-hires/APKBUILD
_at_@ -1,34 +1,47 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer:  Leonardo Arena <rnalrd_at_alpinelinux.org>
 pkgname=perl-time-hires
-_realname=Time-HiRes
-pkgver=1.9740
+_pkgreal=Time-HiRes
+pkgver=1.9741
 pkgrel=0
 pkgdesc="High resolution alarm, sleep, gettimeofday, interval timers"
-url="http://search.cpan.org/~jhi/Time-HiRes-${pkgver}/"
+url="http://search.cpan.org/~jhi/Time-HiRes/"
 arch="all"
-license="unknown"
-depends="perl"
-makedepends="perl-dev"
-install=
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
 subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/J/JH/JHI/$_realname-$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/J/JH/JHI/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
-_builddir="$srcdir/$_realname-$pkgver"
+prepare() {
+	default_prepare || return 1
 
-build() {
-	cd "$_builddir"
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
 
-	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
-	make || return 1
+build() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make && make test
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	# creates file collision among perl modules
-	find "$pkgdir" -name perllocal.pod -delete
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+doc() {
+	default_doc
+	replaces="perl-doc"
 }
 
-md5sums="5ab58a8bd2c5cde34a55a6e34a0600d1  Time-HiRes-1.9740.tar.gz"
-sha256sums="11d95fa2c57fe435f243b03f7dbf24a3d55f96dc3722e80c0def590590b51504  Time-HiRes-1.9740.tar.gz"
-sha512sums="234bdc590f423425f4fdf1048760d75f859b47b21fbe3b0de3dde0dba150ec69bea7f307cd0a6a6432d9cba7790bae87b7dd36d2ae62acef653e6e65dd17c53a  Time-HiRes-1.9740.tar.gz"
+md5sums="cdea5e77418736efe2358b29002d26bd  Time-HiRes-1.9741.tar.gz"
+sha256sums="69109c65faba2da7b773e72282a9c268585f68f53cdbbcdd18765a591cc3f864  Time-HiRes-1.9741.tar.gz"
+sha512sums="6e8bb0179cdec3ec26c36becfa5a2567029a321cd6ef9e126344a0f6d929fd5d1fb2ce319db4b03aa922ad2ef42006e15ef1438fff9393b3770a27e237b2d05b  Time-HiRes-1.9741.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jan 23 2017 - 14:54:41 GMT